Name: 		exim-conf-milab
Summary: 	exim config for Machine Intelligence Laboratory
Version: 	1.0
Release: 	5
License: 	Not to be distributed outside of CUED
Group: 		CUED/MILAB/Configuration
Source0:    exim 	
Source1:    exim.conf
Source2:    sysadmin.alias 	
Source3:    sysadmin.unames
BuildRoot: 	%{_tmppath}/build-root-%{name}
Packager: 	Anna Langley <jal58@eng.cam.ac.uk>
Requires: 	exim
Url: 		http://mi.eng.cam.ac.uk/
BuildArch:	noarch
Distribution: 	MILAB
AutoReqProv: no
Conflicts:  exim-config-cued-dumb

%description
Exim configuration for Machine Intelligence Lab.

This sets up the following files:
/etc/logrotate.d/exim-milab
/etc/exim/exim.conf
/etc/exim/sysadmin.alias
/etc/exim/sysadmin.unames

%install
cd $RPM_SOURCE_DIR
mkdir -p "$RPM_BUILD_ROOT"/etc/exim "$RPM_BUILD_ROOT"/etc/logrotate.d
cp exim.conf sysadmin.alias sysadmin.unames "$RPM_BUILD_ROOT/etc/exim"
cp exim "$RPM_BUILD_ROOT/etc/logrotate.d/exim-milab"

%files 
%config %attr(644,root,root) /etc/logrotate.d/exim-milab
%config %attr(644,root,root) /etc/exim/exim.conf
%config %attr(644,root,root) /etc/exim/sysadmin.alias
%config %attr(644,root,root) /etc/exim/sysadmin.unames

%clean

%post
if [ -f /etc/logrotate.d/exim ]
then
	mv /etc/logrotate.d/exim /etc/logrotate.d/exim.rpmsave
	cp /etc/logrotate.d/exim-milab /etc/logrotate.d/exim
fi
if [ ! -d /var/spool/mqueue ]
then
	mkdir /var/spool/mqueue
fi
chown -R mailuser.mail /var/spool/mqueue
chmod 700 /var/spool/mqueue



%changelog
* Tue Nov 30 2004 Anna Langley <jal58@eng.cam.ac.uk>
  Permissions fixup, changed handling of sources.
* Wed Sep 15 2004 Anna Langley <jal58@eng.cam.ac.uk>
  Modified log rotation config
  Fixed permissions problem
* Thu Sep 09 2004 Anna Langley <jal58@eng.cam.ac.uk>
  Created initial RPM.

